| PST SDK 6.0.0.0-272350a

Public Member Functions | List of all members
PSTech::Utils::PstVector< T >::Allocator Class Reference

## Public Member Functions
PstVector< T >::pointer | allocate (typename PstVector< T >::size_type num)
void | construct (typename PstVector< T >::pointer p)
template<class... A>
void | construct (typename PstVector< T >::pointer p, A &... arg)
void | construct (typename PstVector< T >::pointer p, T &&data)
void | destroy (typename PstVector< T >::pointer p)
void | deallocate (typename PstVector< T >::pointer p)

## Detailed Description

### template<typename T>
class PSTech::Utils::PstVector< T >::Allocator

Simple basic allocator class to allocate and construct vector items.

## Member Function Documentation

## ◆ allocate()

template<typename T>

PstVector<T>::pointer PSTech::Utils::PstVector< T >::Allocator::allocate | ( | typename PstVector< T >::size_type | num | ) |

Allocate but don't initialize num elements of type T

## ◆ construct() [1/3]

template<typename T>

void PSTech::Utils::PstVector< T >::Allocator::construct | ( | typename PstVector< T >::pointer | p | ) |

Initialize elements of allocated storage p using its default constructor

## ◆ construct() [2/3]

template<typename T>
template<class... A>

void PSTech::Utils::PstVector< T >::Allocator::construct | ( | typename PstVector< T >::pointer | p,
|  | A &... | arg
| ) |  |

Initialize elements of allocated storage p using constructor with arguments arg

## ◆ construct() [3/3]

template<typename T>

void PSTech::Utils::PstVector< T >::Allocator::construct | ( | typename PstVector< T >::pointer | p,
|  | T && | data
| ) |  |

Initialize elements of allocated storage p using the move constructor

## ◆ deallocate()

template<typename T>

void PSTech::Utils::PstVector< T >::Allocator::deallocate | ( | typename PstVector< T >::pointer | p | ) |

## ◆ destroy()

template<typename T>

void PSTech::Utils::PstVector< T >::Allocator::destroy | ( | typename PstVector< T >::pointer | p | ) |

The documentation for this class was generated from the following file:

- C:/CI/builds/c149454a/0/ps-tech/pst-distributor/pstsdk/cpp/include/PstVector.h